<!--
  Generated template for the OpenRideBookPage page.

  See http://ionicframework.com/docs/components/#navigation for more info on
  Ionic pages and navigation.
-->
<ion-header>
  <ion-navbar>
    <ion-title>Request To Join</ion-title>
  </ion-navbar>
</ion-header>

<ion-content padding>
	<div style="padding: 20px !important;">
    <ion-grid>

      <ion-row>
        <div class="ride-detail">
          <p><span class="icon-location bg-theme"></span> <strong>{{ride.location_from}} </strong> </p>
          <p><span class="icon-location bg-stop"></span> <strong> {{ride.location_to}} </strong> </p>
        </div>
      </ion-row>

      <div class="add-lines">
        <ion-row class="top-mar-20">
          <ion-col col-4>
            <ion-avatar left *ngIf="ride">
              <img *ngIf="ride.avatar.startsWith('/')" [src]="url + ride.avatar" class="img-round">
              <img *ngIf="ride.avatar.startsWith('h')" [src]="ride.avatar" class="img-round">
            </ion-avatar>
          </ion-col>
          <ion-col col-8>
            <h3>{{ride.user.first_name}} {{ride.user.last_name}} </h3>
            <ionic3-star-rating 
              activeIcon = "ios-star"
              defaultIcon = "ios-star-outline"
              activeColor = "#ffcc00" 
              defaultColor = "#ffcc00"
              fontSize = "8px"
              readonly="true"
              [rating]="ride.user.rating" style="font-size: 8px !important">
            </ionic3-star-rating>
            <button ion-button small (click)="viewPublicProfile(ride.user_id)" style="font-weight: bold;">
            VIEW PROFILE</button>
          </ion-col>

          <ion-col col-4>
            <ion-avatar left>
              <img *ngIf="ride.car_image.startsWith('h')" [src]="ride.car_image" class="img-round">
              <img *ngIf="ride.car_image.startsWith('/')" [src]="url + ride.car_image" class="img-round">
            </ion-avatar>
          </ion-col>
          <ion-col col-8>
              <p>{{ride.year}} {{ride.make}} {{ride.model}}</p>
              <p *ngIf="ride.purpose">{{ride.purpose.type}} Trip</p> 
          </ion-col>
        </ion-row> 

        <ion-row class="text-center pad-20">
          <div *ngFor="let p of preferences">

              <ion-icon *ngIf="p.preference.category == 'Smoking'" 
              name="md-no-smoking" class="icon-big-grey text-center"></ion-icon>

              <ion-icon *ngIf="p.preference.category == 'Music'" 
              name="md-musical-notes" class="icon-big-grey text-center"></ion-icon>

              <ion-icon *ngIf="p.preference.category == 'Pets'" 
              name="md-paw" class="icon-big-grey text-center"></ion-icon>

              <ion-icon *ngIf="p.preference.category == 'Chattiness'" 
              name="chatbubbles" class="icon-big-grey text-center"></ion-icon> 

          </div>
        </ion-row>

      </div>
    </ion-grid> 

    <ion-list class="rides"> 
      <ion-card>
        <ion-card-content>

          <h1 class="text-center pad-10 text-theme">Request Ride</h1>

          <ion-row>
            <ion-col col-1></ion-col>
            <ion-col col-4>
              <p style="padding-top: 12px;"><strong># of Seats:</strong></p>
            </ion-col>
            <ion-col col-7>
              <ion-item>
              	<ion-select placeholder="0" #seatsSelect [(ngModel)]="seatNum">
      	          <ion-option *ngFor="let seat of seats">{{seat}}</ion-option>
      	        </ion-select>
              </ion-item>
            </ion-col>
          </ion-row>
          
          <ion-row>
            <ion-col col-1></ion-col>
            <ion-col col-4>
              <p style="padding-top: 12px;"><strong>Date:</strong></p>
            </ion-col>
            <ion-col col-7>
              <ion-item >
              	<ion-select placeholder="0" #seatsSelect [(ngModel)]="date_request">
      	          <ion-option *ngFor="let date of dates">{{date}}</ion-option>
      	        </ion-select>
              </ion-item>
            </ion-col>
          </ion-row>

          <ion-row>
            <ion-col col-1></ion-col>
            <ion-col col-4>
              <p style="padding-top: 12px;"><strong>Hour:</strong></p>
            </ion-col>
            <ion-col col-7>
              <ion-item>
              	<ion-select  #seatsSelect [(ngModel)]="hour_request">
      	          <ion-option *ngFor="let hour of hours"> {{hour}}</ion-option>
      	        </ion-select>
              </ion-item>
            </ion-col>
          </ion-row>

          <ion-row>
            <ion-col col-12>
              <p><strong>Introduction / Questions:</strong></p>
              <ion-textarea [(ngModel)]="request_description"></ion-textarea>
            </ion-col>
          </ion-row>

          <div class="pad-10">
            <button ion-button block color="primary" (click)="bookNow()" class="btn rounded">
                Submit Request
            </button>
          </div>

        </ion-card-content>
      </ion-card>
    </ion-list>
  </div>
</ion-content>
